<?php
/**********************************

Plugin Name: HTML Javascript Adder
Plugin URI: http://www.aakashweb.com
Description: A widget plugin for using javascripts, HTML scripts and simple texts in sidebar with WYSIWYG editor
Author: Aakash Chakravarthy
Version: 2.3
Author URI: http://www.aakashweb.com/

***********************************

Copyright 2009  Aakash Chakravarthy  (email : aakash.19493@gmail.com) (website : www.aakashweb.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**********************************

	In short, this plugin is free to use by anyone and everyone. As this plugin is free,
	you can also donate and support this plugin if you like.
	
*********************************/

class HTML_Javascript_Adder_Widget extends WP_Widget
{
//Initiliaze

    function HTML_Javascript_Adder_Widget(){
		$widget_ops = array('classname' => 'widget_html_javascript_adder', 'description' => __( "Used to add HTML, javascripts, Flash embed codes to sidebar") );
		$control_ops = array('width' => 500, 'height' => 500);
		$this->WP_Widget('HTML_Javascript_Adder', __('HTML Javascript Adder'), $widget_ops, $control_ops);
    }

//Display the Widget
	
    function widget($args, $instance){
      extract($args);
      $hja_title = apply_filters('widget_hja_title', empty($instance['hja_title']) ? '' : $instance['hja_title']);
      $hja_content = empty($instance['hja_content']) ? '' : $instance['hja_content'];
	  
	  $hja_is_single = $instance['hja_is_single'];
	  $hja_is_archive = $instance['hja_is_archive'];
	  $hja_is_home = $instance['hja_is_home'];
	  $hja_is_search = $instance['hja_is_search'];

      # Before the widget
	  
	  $hja_output_content=$before_widget.'<!-- Start of HTML Javascript Adder plugin Output --> '.$before_title . $hja_title . $after_title.'<div>'.$hja_content.'</div> <!-- End of HTML Javascript Adder plugin Output -->'.$after_widget;


	  if (is_home() == 1){
	     if ($hja_is_home != 1)
	   		echo $hja_output_content;
	   	 }else{//
       		if (is_single() == 1){
	    		if ($hja_is_single != 1)
	   				echo $hja_output_content;
	   			}else{//
	   				if (is_archive() == 1){
	     				if ($hja_is_archive != 1)
	   						echo $hja_output_content;
	   					}else{//
	   						if (is_search() == 1){
	     						if ($hja_is_search != 1)
	   								echo $hja_output_content;
	   							}else{//
	   
	   						}
						}
					}
				}
  }

//Save settings
  
    function update($new_instance, $old_instance){
      $instance = $old_instance;
      $instance['hja_title'] = stripslashes($new_instance['hja_title']);
      $instance['hja_content'] = stripslashes($new_instance['hja_content']);
	  
      $instance['hja_is_single'] = $new_instance['hja_is_single'];
      $instance['hja_is_archive'] = $new_instance['hja_is_archive'];
      $instance['hja_is_home'] = $new_instance['hja_is_home'];
      $instance['hja_is_search'] = $new_instance['hja_is_search'];
	  
	  $instance['hja_heading_select'] = $new_instance['hja_heading_select'];
	  
    return $instance;
  }

//HJA Widget Form
  
    function form($instance){
      //Defaults
      $instance = wp_parse_args( (array) $instance, array('hja_title'=>'', 'hja_content'=>'','hja_is_single'=>'','hja_is_archive'=>'','hja_is_home'=>'','hja_is_search'=>'' ) );

      $hja_title = htmlspecialchars($instance['hja_title']);
      $hja_content = htmlspecialchars($instance['hja_content']);
	  
	  $hja_is_single = $instance['hja_is_single'];
	  $hja_is_archive = $instance['hja_is_archive'];
	  $hja_is_home = $instance['hja_is_home'];
	  $hja_is_search = $instance['hja_is_search'];
	  
	  $hja_settings_fieldset = $instance['hja_settings_fieldset'];
	?>

      <p><label for="<?php echo $this->get_field_name('hja_title'); ?>">Title :<br /><input size="75" id="<?php echo $this->get_field_id('hja_title');?>" name="<?php echo $this->get_field_name('hja_title'); ?>" type="text" value="<?php echo $hja_title; ?>" /></label></p>
	  
     <p><label align="left" for="<?php echo $this->get_field_name('hja_content'); ?>">Content :</label><br />
	 
	<div class="awQuickTagToolbar">
		<select id="<?php echo $this->get_field_id('hja_heading_select'); ?>" onChange="awQuickTagsHeading('<?php echo $this->get_field_id('hja_content'); ?>', '<?php echo $this->get_field_id('hja_heading_select'); ?>');">
				  <option value="1">Heading 1</option>
				  <option value="2">Heading 2</option>
				  <option value="3">Heading 3</option>
				  <option value="4">Heading 4</option>
				  <option value="5">Heading 5</option>
				  <option value="6">Heading 6</option>
	  </select>
		  |
			   
	   <input type="button" onClick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<strong>','</strong>','');" value="B" title="Bold"/>
	   <input type="button" onClick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<em>','</em>','');" value="I" title="Italic"/>
	   <input type="button" onClick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<u>','</u>','');" value="U" title="Underline"/>
	   |
  	   <input type="button" onClick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<a ','</a>','a');" value="Link" title="Add Link"/>
	   <input type="button" onClick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<img ','/>','img');" value="Image" title="Add Image"/>
	   <input type="button" onclick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<code>','</code>','');" value="Code" title="Code"/>
      |
      <input type="button" onclick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<ul>','</ul>','');" value="ul" title="Unordered List"/>
      <input type="button" onclick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<ol>','</ol>','');" value="ol" title="Ordered List"/>
      <input type="button" onclick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<li>','</li>','');" value="li" title="List"/>
      <input type="button" onclick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','<p>','</p>','');" value="P" title="Wrap as a Paragraph"/>
	  <input type="button" onclick="awQuickTags('<?php echo $this->get_field_id('hja_content'); ?>','','</br>','');" value="br" title="Insert Break tag"/>
			 
	</div>
	   
	  <textarea cols="65" rows="15"  id="<?php echo $this->get_field_id('hja_content'); ?>" name="<?php echo $this->get_field_name('hja_content'); ?>"><?php echo $hja_content; ?></textarea>
       
      </p>
		  <p>
		  	<legend>
				<strong>
					<span onclick="toggle_visibility('<?php echo $this->get_field_id('hja_settings_fieldset'); ?>');">Settings</span>
				</strong>
			</legend>
			
		<fieldset id="<?php echo $this->get_field_id('hja_settings_fieldset'); ?>">
		<table width="100%" border="1">
              <tr>
                <td>
				<label><input id="<?php echo $this->get_field_id('hja_is_single'); ?>" type="checkbox"  name="<?php echo $this->get_field_name('hja_is_single'); ?>" value="1" <?php echo $hja_is_single == "1" ? 'checked="checked"' : ""; ?> />
					  Don't display in Posts page </label>
					  
				  <br />
				  
				  <label><input id="<?php echo $this->get_field_id('hja_is_archive'); ?>" type="checkbox" name="<?php echo $this->get_field_name('hja_is_archive'); ?>" value="1" <?php echo $hja_is_archive == "1" ? 'checked="checked"' : ""; ?>/>&nbsp;Don't display in Archive or Tag page</label>
				  
				  <br />
				  
				  <label> <input id="<?php echo $this->get_field_id('hja_is_home'); ?>" type="checkbox" name="<?php echo $this->get_field_name('hja_is_home'); ?>" value="1" <?php echo $hja_is_home == "1" ? 'checked="checked"' : ""; ?>/>&nbsp;Don't display in Home page</label>
				  <br />
				  
				  <label><input id="<?php echo $this->get_field_id('hja_is_search'); ?>" type="checkbox" name="<?php echo $this->get_field_name('hja_is_search'); ?>" value="1" <?php echo $hja_is_search == "1" ? 'checked="checked"' : ""; ?>/>&nbsp;Don't display in Search page</label>
			    </td>
                <td><ul>
                  <li>Help</li>
                  <li>Support</li>
                  <li>Documentation</li>
                  <li><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&amp;business=donations@aakashweb.com&amp;item_name=Donation for HTML Javascript Adder&amp;amount=&amp;currency_code=USD" target="_blank">Donate</a> </li>
                </ul></td>
              </tr>
        </table>
		</fieldset>
		  <div class="widget-control-actions"><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&amp;business=donations@aakashweb.com&amp;item_name=Donation for HTML Javascript Adder&amp;amount=&amp;currency_code=USD" target="_blank">Make donations</a> | <a href="http://www.aakashweb.com/" target="_blank">Vist author site</a></div>
		 </p>
	  <?php
  }
}

// END class

function HTML_Javascript_Adder_Init() {
  register_widget('HTML_Javascript_Adder_Widget');
  }
 add_action('widgets_init', 'HTML_Javascript_Adder_Init');
 
function HTML_Javascript_Adder_Js(){
?>
	  <script type="text/javascript" src="<?php echo get_bloginfo('url').'/wp-content/plugins/html-javascript-adder/aw-quick-tags/awQuickTag.js';?>"></script>
	  <script type="text/javascript" src="<?php echo get_bloginfo('url').'/wp-content/plugins/html-javascript-adder/js/toggle.js';?>"></script>
	<link rel="stylesheet" type="text/css" href="<?php echo get_bloginfo('url').'/wp-content/plugins/html-javascript-adder/aw-quick-tags/awQuickTag.css';  ?>">

	
<?php
}
add_action('admin_head','HTML_Javascript_Adder_Js');

?>
